import { MediaElement } from "../models/media/media-model";
export declare class MediaTool {
    /**
     * Get the first MediaElement found
     * @param input MediaElement or MediaElement[]
     */
    protected static element(input: any): MediaElement;
    /**
     * Get the first MediaElement found in the given size
     * @param input MediaElement or MediaElement[]
     * @param size xs, s, m, l , xl, xxl
     * @param defaultImage url
     */
    protected static size(input: any, size: string, defaultImage: string): string;
    /**
     * Get the audio of the first MediaElement
     * @param input MediaElement or MediaElement[]
     */
    static audio(input: any): string;
    /**
     * Get the media of the first MediaElement
     * @param input MediaElement or MediaElement[]
     */
    static media(input: any): string;
    /**
     * Get the xs size of the first MediaElement
     * @param input MediaElement or MediaElement[]
     */
    static imageXS(input: any): string;
    /**
     * Get the s size of the first MediaElement
     * @param input MediaElement or MediaElement[]
     */
    static imageS(input: any): string;
    /**
     * Get the m size of the first MediaElement
     * @param input MediaElement or MediaElement[]
     */
    static imageM(input: any): string;
    /**
     * Get the l size of the first MediaElement
     * @param input MediaElement or MediaElement[]
     */
    static imageL(input: any): string;
    /**
     * Get the xl size of the first MediaElement
     * @param input MediaElement or MediaElement[]
     */
    static imageXL(input: any): string;
    /**
     * Get the xxl size of the first MediaElement
     * @param input MediaElement or MediaElement[]
     */
    static imageXXL(input: any): string;
    /**
     * Get the size of a MediaElement depending on web or phone mode
     * @param isWeb
     * @param webSize
     * @param phoneSize
     * @param input
     */
    static image(isWeb: boolean, webSize: string, phoneSize: string, input: any): string;
    /**
     * Get a fullscreen (XXL on web and XL on phone)
     * @param isWeb
     * @param input
     */
    static fullScreen(isWeb: boolean, input: any): string;
}
